Get OOB credentials for a dedicated server

GET/v1/hosts/dedicated_servers/{server_id}/oob_credentials

A GET request to the /v1/hosts/dedicated_servers/{server_id}/oob_credentials endpoint will provide you with the OOB credentials. This operation can be performed if you have added an RSA/RSA GPG key in the Customer Portal. Specify a necessary server in the path parameter and a GPG key fingerprint in the query parameter. Once you have received a secret in the response, you should decode the base64 encoding. Then, you can retrieve a password using the GPG decrypting algorithm. For more details, refer to the GPG documentation and instructions in our knowledge base.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server. To list server IDs, use the relevant request.

Query Parameters

fingerprint?string

A GPG fingerprint. You can see a list of fingerprints on the SSH & GPG keys page in the Customer Portal.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/hosts/dedicated_servers/WPe924aL/oob_credentials?fingerprint=A1E045E3DFCA30612438D4E34595E165D3139457"
{  "login": "admin",  "secret": "wcBMA0WV4WXTE5RXAQgArY7yC2yPG+aTI/6Bmv4im3KtyCBtR/qwuKrHT2HzTpwirr3Q18kcCzIxCo/tHsASlcncKqfuOiUyXXYA5ddBZl2uO8v/bnma8xAQwQx+p/PPkwpDseRMpiOe7n3zPa7UNqui36Lqh7tTkpM6QJATgvJs6r7R8Hw/VXRCmzYyMk6wGxMJ9CY96nRNiUIZqtEYwYCwgjO3CdkAI8c1u3vuFV4Icj/D+WwuY9GHrx/Ve7DsNm93Sztbt79k8qNBaJGfT5Yg/6TpSHk7WZHbQpaJpAd4qCfjs4J3OoLvRhOvdjl+ngMmW0RNlXAOqHgnKyetAs7iKuZj3vGummcyTcQ4XtI8AaFWw4x+TkE4KfSizxA8J23R3lILl3OJepXlUKUlqBDiALH+Ynrk79ks7hSBx8G5f9QoZ3SdRGOMHFfT"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Oob credentials not found",  "code": "CONFLICT"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}